VSTGUI: InterpolationTimingFunction Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Attributes | List of all members
InterpolationTimingFunction Class Reference
Animation » Animation Timing Functions | New classes » Version 4.0

`#include <timingfunctions.h>`

Inheritance diagram for InterpolationTimingFunction:

## Public Member Functions
| InterpolationTimingFunction (uint32_t length, float startPos=0.f, float endPos=1.f)
| InterpolationTimingFunction (const InterpolationTimingFunction &)=default
InterpolationTimingFunction & | operator= (const InterpolationTimingFunction &)=default
void | addPoint (float time, float pos)
| both values are normalized ones
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Protected Types
using | PointMap = std::map<uint32_t, float>

## Protected Attributes
PointMap | points
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Member Typedef Documentation

## ◆ PointMap

using PointMap = std::map<uint32_t, float>
| protected

## Constructor & Destructor Documentation

## ◆ InterpolationTimingFunction() [1/2]

InterpolationTimingFunction | ( | uint32_t | length,
|  | float | startPos = 0.f,
|  | float | endPos = 1.f )

## ◆ InterpolationTimingFunction() [2/2]

InterpolationTimingFunction | ( | const InterpolationTimingFunction & |  | ) |
| default

## Member Function Documentation

## ◆ addPoint()

void addPoint | ( | float | time,
|  | float | pos )

both values are normalized ones

## ◆ getPosition()

float getPosition | ( | uint32_t | milliseconds | ) |
| overridevirtual

Implements ITimingFunction.

## ◆ operator=()

InterpolationTimingFunction & operator= | ( | const InterpolationTimingFunction & |  | ) |
| default

## Member Data Documentation

## ◆ points

PointMap points
| protected

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp